Skip to main content
DELETE
/
v2
/
organizations
/
{orgId}
/
users
/
{userId}
/
ooo
/
{oooId}
Delete an out-of-office entry for a user
curl --request DELETE \
  --url https://api.cal.com/v2/organizations/{orgId}/users/{userId}/ooo/{oooId}
{
  "status": "success",
  "data": {
    "userId": 2,
    "id": 2,
    "uuid": "e84be5a3-4696-49e3-acc7-b2f3999c3b94",
    "start": "2023-05-01T00:00:00.000Z",
    "end": "2023-05-10T23:59:59.999Z",
    "toUserId": 2,
    "notes": "Vacation in Hawaii",
    "reason": "vacation"
  }
}

Headers

Authorization
string

For non-platform customers - value must be Bearer <token> where <token> is api key prefixed with cal_

x-cal-secret-key
string

For platform customers - OAuth client secret key

x-cal-client-id
string

For platform customers - OAuth client ID

Path Parameters

oooId
number
required
userId
number
required
orgId
number
required

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object
required